%global pypi_name distlib
%global commitId 65073faae3257ec95312a0dec0a36f6e56742715

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.3.5
Release:        1%{?dist}
Summary:        Low-level components of distutils2/packaging, augmented with higher-level APIs

License:        Python
URL:            https://github.com/pypa/distlib
Source0:        python-distlib-65073faae3257ec95312a0dec0a36f6e56742715.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 44
BuildRequires:  python%{python3_pkgversion}-wheel >= 0.29

%description
Distlib is a library which implements low-level functions that relate to
packaging and distribution of Python software. It is intended to be used
as the basis for third-party packaging tools.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Low-level components of distutils2/packaging, augmented with higher-level APIs

%description -n python%{python3_pkgversion}-%{pypi_name}
Distlib is a library which implements low-level functions that relate to
packaging and distribution of Python software. It is intended to be used
as the basis for third-party packaging tools.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

%changelog
* Mon Aug 22 2022 Dimitri Savineau <dsavinea@redhat.com> 0.3.5-1
- Initial release
